/*
 * Proyecto Final: Estructura de Datos
 * Diccionario
 * JACE - JDSM - ADUA - AAVJ
 */
package Vista;

import Controlador.dao.PalabraDao;
import Controladores.ControladorPalabra;
import Vista.ModeloTabla.ModeloTablaPalabra;
import com.mxrck.autocompleter.AutoCompleterCallback;
import com.mxrck.autocompleter.TextAutoCompleter;
import java.awt.Image;
import javax.swing.Icon;
import javax.swing.ImageIcon;
import javax.swing.JOptionPane;

public class FrmPrincipal extends javax.swing.JFrame {

    private ModeloTablaPalabra mtp = new ModeloTablaPalabra();
    private PalabraDao palabraDao;
    private ControladorPalabra ctrlPalabra;
    private TextAutoCompleter ac;

    public FrmPrincipal() {
        initComponents();
        palabraDao = new PalabraDao();
        ctrlPalabra = new ControladorPalabra();
        btnCerrarSesion.setVisible(false);
        ordenarTabla();
        palabraDao.ActualizarArchivoBuscadaPorVoz();
    }

    private void CargarSignificado() {
        txtA_ejemplos.setText("");
        int numFila = tbl_palabras.getSelectedRow();
        String aux = String.valueOf(tbl_palabras.getValueAt(numFila, 0));
        palabraDao.buscarUnaPalabra(aux);
        txtA_significado.setText(palabraDao.buscarUnaPalabra(aux).getSignificado());
        for (int i = 0; i < palabraDao.buscarUnaPalabra(aux).getEjemplos().tamanio(); i++) {
            txtA_ejemplos.append(String.valueOf(palabraDao.buscarUnaPalabra(aux).getEjemplos().consultarDatoPos(i) + "\n"));
        }
        CargarImagen(palabraDao.buscarUnaPalabra(aux).getImagen());
    }

    private void CargarImagen(String directorio) {
        ImageIcon ImgIcon = new ImageIcon(directorio);
        Icon icono = new ImageIcon(ImgIcon.getImage().getScaledInstance(lbl_Imagen.getWidth(), lbl_Imagen.getHeight(), Image.SCALE_DEFAULT));
        lbl_Imagen.setIcon(icono);
    }

    private void ordenarTabla() {
        try {
            mtp.setLista(palabraDao.ordenar());
            tbl_palabras.setModel(mtp);
            tbl_palabras.updateUI();
        } catch (Exception e) {
        }
    }

    private void cargarTabla() {
        try {
            mtp.setLista(palabraDao.buscar(txtPalabraABuscar.getText().trim()));
            tbl_palabras.setModel(mtp);
            tbl_palabras.updateUI();
        } catch (Exception e) {
        }
    }

    private void cargarIndice(String indice) {
        try {
            mtp.setLista(palabraDao.buscarPorIndice(indice));
            tbl_palabras.setModel(mtp);
            tbl_palabras.updateUI();
        } catch (Exception e) {
        }
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        panelPrincipal = new javax.swing.JPanel();
        lblTituloPrincipal = new javax.swing.JLabel();
        separador1 = new javax.swing.JSeparator();
        separador2 = new javax.swing.JSeparator();
        panelBuscador = new javax.swing.JPanel();
        txtPalabraABuscar = new javax.swing.JTextField();
        brnBuscarPalabra = new javax.swing.JButton();
        btnBuscarPalabraVoz = new javax.swing.JButton();
        EscucharPalabra = new javax.swing.JButton();
        PanelGeneral = new javax.swing.JPanel();
        jScrollPane5 = new javax.swing.JScrollPane();
        tbl_palabras = new javax.swing.JTable();
        lblDiccionario = new javax.swing.JLabel();
        btnCerrarSesion = new javax.swing.JButton();
        PanelIndices = new javax.swing.JPanel();
        btnA = new javax.swing.JButton();
        btnG = new javax.swing.JButton();
        btnF = new javax.swing.JButton();
        btnE = new javax.swing.JButton();
        btnH = new javax.swing.JButton();
        btnD = new javax.swing.JButton();
        btnK = new javax.swing.JButton();
        btnB = new javax.swing.JButton();
        btnL = new javax.swing.JButton();
        btnI = new javax.swing.JButton();
        btnJ = new javax.swing.JButton();
        btnC = new javax.swing.JButton();
        btnN = new javax.swing.JButton();
        btnR = new javax.swing.JButton();
        btnP = new javax.swing.JButton();
        btnS = new javax.swing.JButton();
        btnT = new javax.swing.JButton();
        btnO = new javax.swing.JButton();
        btnM = new javax.swing.JButton();
        btnU = new javax.swing.JButton();
        btnQ = new javax.swing.JButton();
        btnV = new javax.swing.JButton();
        btnW = new javax.swing.JButton();
        btnX = new javax.swing.JButton();
        btnY = new javax.swing.JButton();
        btnZ = new javax.swing.JButton();
        btn_todos = new javax.swing.JButton();
        jButton1 = new javax.swing.JButton();
        btnIniciarSesion = new javax.swing.JButton();
        lblNombreUsuario = new javax.swing.JLabel();
        lblTituloPrincipal1 = new javax.swing.JLabel();
        jPanel1 = new javax.swing.JPanel();
        jScrollPane1 = new javax.swing.JScrollPane();
        txtA_significado = new javax.swing.JTextArea();
        jPanel2 = new javax.swing.JPanel();
        jScrollPane2 = new javax.swing.JScrollPane();
        txtA_ejemplos = new javax.swing.JTextArea();
        lbl_Imagen = new javax.swing.JLabel();
        lblEspaniol = new javax.swing.JLabel();
        jLabel2 = new javax.swing.JLabel();
        lblFiltro = new javax.swing.JLabel();
        MENU = new javax.swing.JMenuBar();
        menuAcerca = new javax.swing.JMenu();
        jMenuItem1 = new javax.swing.JMenuItem();
        jMenuItem2 = new javax.swing.JMenuItem();
        jMenuItem3 = new javax.swing.JMenuItem();
        jMenuItem4 = new javax.swing.JMenuItem();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);
        getContentPane().setLayout(null);

        panelPrincipal.setPreferredSize(new java.awt.Dimension(1000, 530));
        panelPrincipal.setLayout(null);

        lblTituloPrincipal.setFont(new java.awt.Font("Tempus Sans ITC", 1, 14)); // NOI18N
        lblTituloPrincipal.setText("Usuari@:");
        panelPrincipal.add(lblTituloPrincipal);
        lblTituloPrincipal.setBounds(80, 20, 70, 30);
        panelPrincipal.add(separador1);
        separador1.setBounds(80, 70, 1040, 10);
        panelPrincipal.add(separador2);
        separador2.setBounds(19, 490, 1100, 10);

        panelBuscador.setBorder(javax.swing.BorderFactory.createTitledBorder(null, "BUSCADOR", javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("Tempus Sans ITC", 1, 11))); // NOI18N

        txtPalabraABuscar.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        txtPalabraABuscar.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                BorrarTexto(evt);
            }
        });
        txtPalabraABuscar.addKeyListener(new java.awt.event.KeyAdapter() {
            public void keyTyped(java.awt.event.KeyEvent evt) {
                Autocompletado(evt);
            }
        });

        brnBuscarPalabra.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        brnBuscarPalabra.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagenes/magnifier.png"))); // NOI18N
        brnBuscarPalabra.setText("Buscar");
        brnBuscarPalabra.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                BuscarPalabraEscrito(evt);
            }
        });

        btnBuscarPalabraVoz.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagenes/microphone.png"))); // NOI18N
        btnBuscarPalabraVoz.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mousePressed(java.awt.event.MouseEvent evt) {
                BuscarPalabraVoz1(evt);
            }
        });
        btnBuscarPalabraVoz.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                BuscarPalabraVoz(evt);
            }
        });

        EscucharPalabra.setFont(new java.awt.Font("Tempus Sans ITC", 1, 12)); // NOI18N
        EscucharPalabra.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagenes/escuchar.png"))); // NOI18N
        EscucharPalabra.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                EscucharPalabras(evt);
            }
        });

        javax.swing.GroupLayout panelBuscadorLayout = new javax.swing.GroupLayout(panelBuscador);
        panelBuscador.setLayout(panelBuscadorLayout);
        panelBuscadorLayout.setHorizontalGroup(
            panelBuscadorLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(panelBuscadorLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(txtPalabraABuscar, javax.swing.GroupLayout.PREFERRED_SIZE, 484, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(btnBuscarPalabraVoz)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(brnBuscarPalabra, javax.swing.GroupLayout.PREFERRED_SIZE, 80, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(EscucharPalabra)
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE))
        );
        panelBuscadorLayout.setVerticalGroup(
            panelBuscadorLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(panelBuscadorLayout.createSequentialGroup()
                .addGroup(panelBuscadorLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(panelBuscadorLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING, false)
                        .addComponent(brnBuscarPalabra, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(btnBuscarPalabraVoz, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                        .addComponent(txtPalabraABuscar, javax.swing.GroupLayout.Alignment.LEADING, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE))
                    .addComponent(EscucharPalabra))
                .addGap(0, 24, Short.MAX_VALUE))
        );

        panelPrincipal.add(panelBuscador);
        panelBuscador.setBounds(240, 90, 720, 73);

        PanelGeneral.setBorder(javax.swing.BorderFactory.createTitledBorder(null, "EJEMPLOS", javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("Tempus Sans ITC", 1, 11))); // NOI18N

        tbl_palabras.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null},
                {null, null},
                {null, null},
                {null, null}
            },
            new String [] {
                "Palabra", "Sinonimo"
            }
        ));
        tbl_palabras.addMouseListener(new java.awt.event.MouseAdapter() {
            public void mouseClicked(java.awt.event.MouseEvent evt) {
                CargarDatosPalabras(evt);
            }
        });
        jScrollPane5.setViewportView(tbl_palabras);

        javax.swing.GroupLayout PanelGeneralLayout = new javax.swing.GroupLayout(PanelGeneral);
        PanelGeneral.setLayout(PanelGeneralLayout);
        PanelGeneralLayout.setHorizontalGroup(
            PanelGeneralLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, PanelGeneralLayout.createSequentialGroup()
                .addContainerGap(javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(jScrollPane5, javax.swing.GroupLayout.PREFERRED_SIZE, 513, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(476, 476, 476))
        );
        PanelGeneralLayout.setVerticalGroup(
            PanelGeneralLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addComponent(jScrollPane5, javax.swing.GroupLayout.DEFAULT_SIZE, 298, Short.MAX_VALUE)
        );

        panelPrincipal.add(PanelGeneral);
        PanelGeneral.setBounds(10, 163, 550, 320);

        lblDiccionario.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagenes/icono_diccionario.png"))); // NOI18N
        panelPrincipal.add(lblDiccionario);
        lblDiccionario.setBounds(10, 26, 64, 64);

        btnCerrarSesion.setFont(new java.awt.Font("Tempus Sans ITC", 1, 11)); // NOI18N
        btnCerrarSesion.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagenes/enter.png"))); // NOI18N
        btnCerrarSesion.setText("Cerrar Sesión");
        btnCerrarSesion.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                CerrarSesion(evt);
            }
        });
        panelPrincipal.add(btnCerrarSesion);
        btnCerrarSesion.setBounds(980, 20, 140, 33);

        PanelIndices.setBorder(javax.swing.BorderFactory.createTitledBorder(null, "Indice", javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("Tempus Sans ITC", 1, 11))); // NOI18N

        btnA.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        btnA.setText("A");
        btnA.setBorder(null);
        btnA.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                IndiceA(evt);
            }
        });

        btnG.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        btnG.setText("G");
        btnG.setBorder(null);
        btnG.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                IndiceG(evt);
            }
        });

        btnF.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        btnF.setText("F");
        btnF.setBorder(null);
        btnF.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                IndiceF(evt);
            }
        });

        btnE.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        btnE.setText("E");
        btnE.setBorder(null);
        btnE.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                IndiceE(evt);
            }
        });

        btnH.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        btnH.setText("H");
        btnH.setBorder(null);
        btnH.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                IndiceH(evt);
            }
        });

        btnD.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        btnD.setText("D");
        btnD.setBorder(null);
        btnD.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                IndiceD(evt);
            }
        });

        btnK.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        btnK.setText("K");
        btnK.setBorder(null);
        btnK.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                IndiceK(evt);
            }
        });

        btnB.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        btnB.setText("B");
        btnB.setBorder(null);
        btnB.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                IndiceB(evt);
            }
        });

        btnL.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        btnL.setText("L");
        btnL.setBorder(null);
        btnL.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                IndiceL(evt);
            }
        });

        btnI.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        btnI.setText("I");
        btnI.setBorder(null);
        btnI.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                IndiceI(evt);
            }
        });

        btnJ.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        btnJ.setText("J");
        btnJ.setBorder(null);
        btnJ.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                IndiceJ(evt);
            }
        });

        btnC.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        btnC.setText("C");
        btnC.setBorder(null);
        btnC.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                IndiceC(evt);
            }
        });

        btnN.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        btnN.setText("N");
        btnN.setBorder(null);
        btnN.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                IndiceN(evt);
            }
        });

        btnR.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        btnR.setText("R");
        btnR.setBorder(null);
        btnR.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                IndiceR(evt);
            }
        });

        btnP.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        btnP.setText("P");
        btnP.setBorder(null);
        btnP.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                IndiceP(evt);
            }
        });

        btnS.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        btnS.setText("S");
        btnS.setBorder(null);
        btnS.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                IndiceS(evt);
            }
        });

        btnT.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        btnT.setText("T");
        btnT.setBorder(null);
        btnT.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                IndiceT(evt);
            }
        });

        btnO.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        btnO.setText("O");
        btnO.setBorder(null);
        btnO.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                IndiceO(evt);
            }
        });

        btnM.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        btnM.setText("M");
        btnM.setBorder(null);
        btnM.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                IndiceM(evt);
            }
        });

        btnU.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        btnU.setText("U");
        btnU.setBorder(null);
        btnU.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                IndiceU(evt);
            }
        });

        btnQ.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        btnQ.setText("Q");
        btnQ.setBorder(null);
        btnQ.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                IndiceQ(evt);
            }
        });

        btnV.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        btnV.setText("V");
        btnV.setBorder(null);
        btnV.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                IndiceV(evt);
            }
        });

        btnW.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        btnW.setText("W");
        btnW.setBorder(null);
        btnW.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                IndiceW(evt);
            }
        });

        btnX.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        btnX.setText("X");
        btnX.setBorder(null);
        btnX.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                IndiceX(evt);
            }
        });

        btnY.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        btnY.setText("Y");
        btnY.setBorder(null);
        btnY.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                IndiceY(evt);
            }
        });

        btnZ.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        btnZ.setText("Z");
        btnZ.setBorder(null);
        btnZ.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                IndiceZ(evt);
            }
        });

        btn_todos.setFont(new java.awt.Font("Tempus Sans ITC", 0, 11)); // NOI18N
        btn_todos.setText("Todos");
        btn_todos.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                OrdenarPalabras(evt);
            }
        });

        javax.swing.GroupLayout PanelIndicesLayout = new javax.swing.GroupLayout(PanelIndices);
        PanelIndices.setLayout(PanelIndicesLayout);
        PanelIndicesLayout.setHorizontalGroup(
            PanelIndicesLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(PanelIndicesLayout.createSequentialGroup()
                .addContainerGap()
                .addComponent(btnA, javax.swing.GroupLayout.PREFERRED_SIZE, 18, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(btnB, javax.swing.GroupLayout.PREFERRED_SIZE, 18, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(btnC, javax.swing.GroupLayout.PREFERRED_SIZE, 18, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(btnD, javax.swing.GroupLayout.PREFERRED_SIZE, 18, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(btnE, javax.swing.GroupLayout.PREFERRED_SIZE, 18, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(btnF, javax.swing.GroupLayout.PREFERRED_SIZE, 18, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(btnG, javax.swing.GroupLayout.PREFERRED_SIZE, 18, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(btnH, javax.swing.GroupLayout.PREFERRED_SIZE, 18, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(btnI, javax.swing.GroupLayout.PREFERRED_SIZE, 18, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(btnJ, javax.swing.GroupLayout.PREFERRED_SIZE, 18, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                .addComponent(btnK, javax.swing.GroupLayout.PREFERRED_SIZE, 18, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(btnL, javax.swing.GroupLayout.PREFERRED_SIZE, 18, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(btnM, javax.swing.GroupLayout.PREFERRED_SIZE, 18, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(btnN, javax.swing.GroupLayout.PREFERRED_SIZE, 18, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(btnO, javax.swing.GroupLayout.PREFERRED_SIZE, 18, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(btnP, javax.swing.GroupLayout.PREFERRED_SIZE, 18, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(btnQ, javax.swing.GroupLayout.PREFERRED_SIZE, 18, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(btnR, javax.swing.GroupLayout.PREFERRED_SIZE, 18, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(btnS, javax.swing.GroupLayout.PREFERRED_SIZE, 18, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(btnT, javax.swing.GroupLayout.PREFERRED_SIZE, 18, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(btnU, javax.swing.GroupLayout.PREFERRED_SIZE, 18, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(btnV, javax.swing.GroupLayout.PREFERRED_SIZE, 20, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(btnW, javax.swing.GroupLayout.PREFERRED_SIZE, 18, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(btnX, javax.swing.GroupLayout.PREFERRED_SIZE, 18, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(btnY, javax.swing.GroupLayout.PREFERRED_SIZE, 18, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(btnZ, javax.swing.GroupLayout.PREFERRED_SIZE, 18, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.UNRELATED)
                .addComponent(btn_todos)
                .addGap(332, 332, 332))
        );
        PanelIndicesLayout.setVerticalGroup(
            PanelIndicesLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, PanelIndicesLayout.createSequentialGroup()
                .addGroup(PanelIndicesLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.TRAILING)
                    .addGroup(PanelIndicesLayout.createSequentialGroup()
                        .addComponent(btn_todos, javax.swing.GroupLayout.PREFERRED_SIZE, 0, Short.MAX_VALUE)
                        .addGap(1, 1, 1))
                    .addGroup(PanelIndicesLayout.createSequentialGroup()
                        .addContainerGap()
                        .addGroup(PanelIndicesLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                            .addComponent(btnF, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(btnG, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(btnH, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(btnI, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(btnJ, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(btnK, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(btnL, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(btnM, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(btnN, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(btnO, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(btnP, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(btnQ, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(btnR, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(btnS, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(btnT, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(btnU, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(btnV)
                            .addComponent(btnW)
                            .addComponent(btnX)
                            .addComponent(btnY)
                            .addComponent(btnZ)))
                    .addGroup(PanelIndicesLayout.createSequentialGroup()
                        .addGap(0, 0, Short.MAX_VALUE)
                        .addGroup(PanelIndicesLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING, false)
                            .addComponent(btnA, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(btnB, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addComponent(btnC, javax.swing.GroupLayout.Alignment.TRAILING, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, PanelIndicesLayout.createParallelGroup(javax.swing.GroupLayout.Alignment.BASELINE)
                                .addComponent(btnD, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)
                                .addComponent(btnE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, Short.MAX_VALUE)))))
                .addContainerGap())
        );

        panelPrincipal.add(PanelIndices);
        PanelIndices.setBounds(290, 510, 730, 50);

        jButton1.setFont(new java.awt.Font("Tempus Sans ITC", 1, 11)); // NOI18N
        jButton1.setText("Sugerir Palabra");
        jButton1.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                SugerirPalabra(evt);
            }
        });
        panelPrincipal.add(jButton1);
        jButton1.setBounds(20, 520, 141, 23);

        btnIniciarSesion.setFont(new java.awt.Font("Tempus Sans ITC", 1, 11)); // NOI18N
        btnIniciarSesion.setIcon(new javax.swing.ImageIcon(getClass().getResource("/imagenes/enter.png"))); // NOI18N
        btnIniciarSesion.setText("Login");
        btnIniciarSesion.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnIniciarSesion(evt);
            }
        });
        panelPrincipal.add(btnIniciarSesion);
        btnIniciarSesion.setBounds(1030, 20, 91, 33);

        lblNombreUsuario.setHorizontalAlignment(javax.swing.SwingConstants.CENTER);
        lblNombreUsuario.setBorder(javax.swing.BorderFactory.createLineBorder(new java.awt.Color(0, 0, 0)));
        panelPrincipal.add(lblNombreUsuario);
        lblNombreUsuario.setBounds(160, 20, 120, 30);

        lblTituloPrincipal1.setFont(new java.awt.Font("Tempus Sans ITC", 1, 24)); // NOI18N
        lblTituloPrincipal1.setText("DICCIONARIO ");
        panelPrincipal.add(lblTituloPrincipal1);
        lblTituloPrincipal1.setBounds(510, 20, 176, 33);

        jPanel1.setBorder(javax.swing.BorderFactory.createTitledBorder(null, "SIGNIFICADO", javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("Tempus Sans ITC", 1, 12))); // NOI18N

        txtA_significado.setEditable(false);
        txtA_significado.setColumns(20);
        txtA_significado.setFont(new java.awt.Font("Tempus Sans ITC", 0, 13)); // NOI18N
        txtA_significado.setRows(5);
        jScrollPane1.setViewportView(txtA_significado);

        javax.swing.GroupLayout jPanel1Layout = new javax.swing.GroupLayout(jPanel1);
        jPanel1.setLayout(jPanel1Layout);
        jPanel1Layout.setHorizontalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jScrollPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 338, Short.MAX_VALUE)
                .addContainerGap())
        );
        jPanel1Layout.setVerticalGroup(
            jPanel1Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel1Layout.createSequentialGroup()
                .addComponent(jScrollPane1, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 33, Short.MAX_VALUE))
        );

        panelPrincipal.add(jPanel1);
        jPanel1.setBounds(570, 170, 370, 150);

        jPanel2.setBorder(javax.swing.BorderFactory.createTitledBorder(null, "EJEMPLOS", javax.swing.border.TitledBorder.DEFAULT_JUSTIFICATION, javax.swing.border.TitledBorder.DEFAULT_POSITION, new java.awt.Font("Tempus Sans ITC", 1, 12))); // NOI18N

        txtA_ejemplos.setEditable(false);
        txtA_ejemplos.setColumns(20);
        txtA_ejemplos.setFont(new java.awt.Font("Tempus Sans ITC", 0, 13)); // NOI18N
        txtA_ejemplos.setRows(5);
        jScrollPane2.setViewportView(txtA_ejemplos);

        javax.swing.GroupLayout jPanel2Layout = new javax.swing.GroupLayout(jPanel2);
        jPanel2.setLayout(jPanel2Layout);
        jPanel2Layout.setHorizontalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, jPanel2Layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jScrollPane2, javax.swing.GroupLayout.DEFAULT_SIZE, 338, Short.MAX_VALUE)
                .addContainerGap())
        );
        jPanel2Layout.setVerticalGroup(
            jPanel2Layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(jPanel2Layout.createSequentialGroup()
                .addComponent(jScrollPane2, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(0, 43, Short.MAX_VALUE))
        );

        panelPrincipal.add(jPanel2);
        jPanel2.setBounds(570, 320, 370, 160);

        lbl_Imagen.setBorder(javax.swing.BorderFactory.createEtchedBorder());
        panelPrincipal.add(lbl_Imagen);
        lbl_Imagen.setBounds(970, 250, 150, 160);

        lblEspaniol.setFont(new java.awt.Font("Tempus Sans ITC", 1, 12)); // NOI18N
        lblEspaniol.setText("Español");
        panelPrincipal.add(lblEspaniol);
        lblEspaniol.setBounds(130, 120, 90, 30);
        panelPrincipal.add(jLabel2);
        jLabel2.setBounds(150, 130, 0, 0);

        lblFiltro.setFont(new java.awt.Font("Tempus Sans ITC", 1, 12)); // NOI18N
        lblFiltro.setText("Filtro:");
        panelPrincipal.add(lblFiltro);
        lblFiltro.setBounds(78, 120, 40, 30);

        getContentPane().add(panelPrincipal);
        panelPrincipal.setBounds(0, 0, 1150, 580);

        menuAcerca.setText("Acerca de");

        jMenuItem1.setText("Desarolladores: Jonathan Sefla");
        menuAcerca.add(jMenuItem1);

        jMenuItem2.setText("Jimmy Cajamarca");
        menuAcerca.add(jMenuItem2);

        jMenuItem3.setText("Angelo Uchuari");
        menuAcerca.add(jMenuItem3);

        jMenuItem4.setText("Alexander Vicente");
        menuAcerca.add(jMenuItem4);

        MENU.add(menuAcerca);

        setJMenuBar(MENU);

        setSize(new java.awt.Dimension(1168, 644));
        setLocationRelativeTo(null);
    }// </editor-fold>//GEN-END:initComponents

    private void CerrarSesion(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_CerrarSesion
        if (lblNombreUsuario.getText().trim().length() > 0) {
            btnCerrarSesion.setVisible(false);
            btnIniciarSesion.setVisible(true);
            lblNombreUsuario.setText("");
            ctrlPalabra.leerPalabra("Gracias por usar el diccionario");
            JOptionPane.showMessageDialog(this, "Gracias por usar el diccionario");
        }
    }//GEN-LAST:event_CerrarSesion

    private void SugerirPalabra(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_SugerirPalabra
        if (lblNombreUsuario.getText().trim().length() > 0) {
            FrmSugerirPalabra frmSugerirPalabra = new FrmSugerirPalabra();
            frmSugerirPalabra.setVisible(true);
        } else {
            FrmLogin login = new FrmLogin();
            login.setVisible(true);
        }
    }//GEN-LAST:event_SugerirPalabra

    private void btnIniciarSesion(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_btnIniciarSesion
        FrmLogin login = new FrmLogin();
        login.setVisible(true);
        btnCerrarSesion.setVisible(false);
        btnIniciarSesion.setVisible(true);
    }//GEN-LAST:event_btnIniciarSesion

    private void BuscarPalabraVoz(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_BuscarPalabraVoz
        ctrlPalabra.busquedaPorVoz();
        btnBuscarPalabraVoz.setIcon(new ImageIcon(getClass().getResource("/imagenes/microphone.png")));
    }//GEN-LAST:event_BuscarPalabraVoz

    private void BuscarPalabraEscrito(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_BuscarPalabraEscrito
        cargarTabla();
    }//GEN-LAST:event_BuscarPalabraEscrito

    private void IndiceA(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_IndiceA
        cargarIndice(btnA.getText());
    }//GEN-LAST:event_IndiceA

    private void IndiceC(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_IndiceC
        cargarIndice(btnC.getText());
    }//GEN-LAST:event_IndiceC

    private void IndiceB(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_IndiceB
        cargarIndice(btnB.getText());
    }//GEN-LAST:event_IndiceB

    private void IndiceD(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_IndiceD
        cargarIndice(btnD.getText());
    }//GEN-LAST:event_IndiceD

    private void IndiceE(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_IndiceE
        cargarIndice(btnE.getText());
    }//GEN-LAST:event_IndiceE

    private void IndiceF(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_IndiceF
        cargarIndice(btnF.getText());
    }//GEN-LAST:event_IndiceF

    private void IndiceG(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_IndiceG
        cargarIndice(btnG.getText());
    }//GEN-LAST:event_IndiceG

    private void IndiceH(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_IndiceH
        cargarIndice(btnH.getText());
    }//GEN-LAST:event_IndiceH

    private void IndiceI(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_IndiceI
        cargarIndice(btnI.getText());
    }//GEN-LAST:event_IndiceI

    private void IndiceJ(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_IndiceJ
        cargarIndice(btnJ.getText());
    }//GEN-LAST:event_IndiceJ

    private void IndiceK(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_IndiceK
        cargarIndice(btnK.getText());
    }//GEN-LAST:event_IndiceK

    private void IndiceL(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_IndiceL
        cargarIndice(btnL.getText());
    }//GEN-LAST:event_IndiceL

    private void IndiceM(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_IndiceM
        cargarIndice(btnM.getText());
    }//GEN-LAST:event_IndiceM

    private void IndiceN(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_IndiceN
        cargarIndice(btnN.getText());
    }//GEN-LAST:event_IndiceN

    private void IndiceO(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_IndiceO
        cargarIndice(btnO.getText());
    }//GEN-LAST:event_IndiceO

    private void IndiceP(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_IndiceP
        cargarIndice(btnP.getText());
    }//GEN-LAST:event_IndiceP

    private void IndiceQ(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_IndiceQ
        cargarIndice(btnQ.getText());
    }//GEN-LAST:event_IndiceQ

    private void IndiceR(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_IndiceR
        cargarIndice(btnR.getText());
    }//GEN-LAST:event_IndiceR

    private void IndiceS(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_IndiceS
        cargarIndice(btnS.getText());
    }//GEN-LAST:event_IndiceS

    private void IndiceT(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_IndiceT
        cargarIndice(btnT.getText());
    }//GEN-LAST:event_IndiceT

    private void IndiceU(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_IndiceU
        cargarIndice(btnU.getText());
    }//GEN-LAST:event_IndiceU

    private void IndiceV(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_IndiceV
        cargarIndice(btnV.getText());
    }//GEN-LAST:event_IndiceV

    private void IndiceW(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_IndiceW
        cargarIndice(btnW.getText());
    }//GEN-LAST:event_IndiceW

    private void IndiceX(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_IndiceX
        cargarIndice(btnX.getText());
    }//GEN-LAST:event_IndiceX

    private void IndiceY(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_IndiceY
        cargarIndice(btnY.getText());
    }//GEN-LAST:event_IndiceY

    private void IndiceZ(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_IndiceZ
        cargarIndice(btnZ.getText());
    }//GEN-LAST:event_IndiceZ

    private void CargarDatosPalabras(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_CargarDatosPalabras
        CargarSignificado();
    }//GEN-LAST:event_CargarDatosPalabras

    private void Autocompletado(java.awt.event.KeyEvent evt) {//GEN-FIRST:event_Autocompletado
        ac = new TextAutoCompleter(txtPalabraABuscar, new AutoCompleterCallback() {
            @Override
            public void callback(Object selectedItem) {
                cargarTabla();
            }
        });
        for (int i = 0; i < palabraDao.buscar(txtPalabraABuscar.getText()).tamanio(); i++) {
            ac.addItem(palabraDao.buscar(txtPalabraABuscar.getText()).consultarDatoPos(i));
        }
    }//GEN-LAST:event_Autocompletado

    private void OrdenarPalabras(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_OrdenarPalabras
        ordenarTabla();
    }//GEN-LAST:event_OrdenarPalabras

    private void BuscarPalabraVoz1(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_BuscarPalabraVoz1
        btnBuscarPalabraVoz.setIcon(new ImageIcon(getClass().getResource("/imagenes/microApagado.png")));
    }//GEN-LAST:event_BuscarPalabraVoz1

    private void BorrarTexto(java.awt.event.MouseEvent evt) {//GEN-FIRST:event_BorrarTexto
        txtPalabraABuscar.setText("");
        ordenarTabla();
    }//GEN-LAST:event_BorrarTexto

    private void EscucharPalabras(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_EscucharPalabras
        if (!txtPalabraABuscar.getText().trim().isEmpty()) {
            ctrlPalabra.leerPalabra(txtPalabraABuscar.getText());
        } else {
            ctrlPalabra.leerPalabra("No hay una palabra en el campo de busqueda");
        }
    }//GEN-LAST:event_EscucharPalabras

    /**
     * @param args the command line arguments
     */
    public static void main(String args[]) {
        /* Set the Nimbus look and feel */
        //<editor-fold defaultstate="collapsed" desc=" Look and feel setting code (optional) ">
        /* If Nimbus (introduced in Java SE 6) is not available, stay with the default look and feel.
         * For details see http://download.oracle.com/javase/tutorial/uiswing/lookandfeel/plaf.html 
         */
        try {
            for (javax.swing.UIManager.LookAndFeelInfo info : javax.swing.UIManager.getInstalledLookAndFeels()) {
                if ("Nimbus".equals(info.getName())) {
                    javax.swing.UIManager.setLookAndFeel(info.getClassName());
                    break;
                }
            }
        } catch (ClassNotFoundException ex) {
            java.util.logging.Logger.getLogger(FrmPrincipal.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (InstantiationException ex) {
            java.util.logging.Logger.getLogger(FrmPrincipal.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (IllegalAccessException ex) {
            java.util.logging.Logger.getLogger(FrmPrincipal.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        } catch (javax.swing.UnsupportedLookAndFeelException ex) {
            java.util.logging.Logger.getLogger(FrmPrincipal.class.getName()).log(java.util.logging.Level.SEVERE, null, ex);
        }
        //</editor-fold>
        //</editor-fold>

        /* Create and display the form */
        java.awt.EventQueue.invokeLater(new Runnable() {
            public void run() {
                new FrmPrincipal().setVisible(true);
            }
        });
    }

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton EscucharPalabra;
    private javax.swing.JMenuBar MENU;
    private javax.swing.JPanel PanelGeneral;
    private javax.swing.JPanel PanelIndices;
    private javax.swing.JButton brnBuscarPalabra;
    private javax.swing.JButton btnA;
    private javax.swing.JButton btnB;
    private javax.swing.JButton btnBuscarPalabraVoz;
    private javax.swing.JButton btnC;
    public static javax.swing.JButton btnCerrarSesion;
    private javax.swing.JButton btnD;
    private javax.swing.JButton btnE;
    private javax.swing.JButton btnF;
    private javax.swing.JButton btnG;
    private javax.swing.JButton btnH;
    private javax.swing.JButton btnI;
    public static javax.swing.JButton btnIniciarSesion;
    private javax.swing.JButton btnJ;
    private javax.swing.JButton btnK;
    private javax.swing.JButton btnL;
    private javax.swing.JButton btnM;
    private javax.swing.JButton btnN;
    private javax.swing.JButton btnO;
    private javax.swing.JButton btnP;
    private javax.swing.JButton btnQ;
    private javax.swing.JButton btnR;
    private javax.swing.JButton btnS;
    private javax.swing.JButton btnT;
    private javax.swing.JButton btnU;
    private javax.swing.JButton btnV;
    private javax.swing.JButton btnW;
    private javax.swing.JButton btnX;
    private javax.swing.JButton btnY;
    private javax.swing.JButton btnZ;
    private javax.swing.JButton btn_todos;
    private javax.swing.JButton jButton1;
    private javax.swing.JLabel jLabel2;
    private javax.swing.JMenuItem jMenuItem1;
    private javax.swing.JMenuItem jMenuItem2;
    private javax.swing.JMenuItem jMenuItem3;
    private javax.swing.JMenuItem jMenuItem4;
    private javax.swing.JPanel jPanel1;
    private javax.swing.JPanel jPanel2;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JScrollPane jScrollPane5;
    private javax.swing.JLabel lblDiccionario;
    private javax.swing.JLabel lblEspaniol;
    private javax.swing.JLabel lblFiltro;
    public static javax.swing.JLabel lblNombreUsuario;
    private javax.swing.JLabel lblTituloPrincipal;
    private javax.swing.JLabel lblTituloPrincipal1;
    private javax.swing.JLabel lbl_Imagen;
    private javax.swing.JMenu menuAcerca;
    private javax.swing.JPanel panelBuscador;
    private javax.swing.JPanel panelPrincipal;
    private javax.swing.JSeparator separador1;
    private javax.swing.JSeparator separador2;
    private javax.swing.JTable tbl_palabras;
    private javax.swing.JTextArea txtA_ejemplos;
    private javax.swing.JTextArea txtA_significado;
    public static javax.swing.JTextField txtPalabraABuscar;
    // End of variables declaration//GEN-END:variables
}
